- Qt 5.5
- Qt3D Module
- C++ Classes
- Quick3DQuaternionValueType
- Qt 5.5.1 Reference Documentation

# Quick3DQuaternionValueType Class

(Qt3D::Quick::Quick3DQuaternionValueType)

- List of all members, including inherited members

## Properties

- scalar : qreal
- x : qreal
- y : qreal
- z : qreal

## Public Functions

qreal | scalar() const
void | setScalar(qreal)
void | setX(qreal)
void | setY(qreal)
void | setZ(qreal)
QString | toString() const
qreal | x() const
qreal | y() const
qreal | z() const

## Property Documentation

### scalar : qreal

Access functions:

qreal | scalar() const
void | setScalar(qreal)

### x : qreal

Access functions:

qreal | x() const
void | setX(qreal)

### y : qreal

Access functions:

qreal | y() const
void | setY(qreal)

### z : qreal

Access functions:

qreal | z() const
void | setZ(qreal)

## Member Function Documentation

### QString Quick3DQuaternionValueType::toString() const